<div class="paddingLR">
    <div class="paddingFull disFlexCenter spaceBetween borderBtm">
        <div class="btn srtWid addAssetBtn">Add Asset</div>
        <div class="searchBox">
            <input type="text" placeholder="Search Name" [(ngModel)]="filterText">
        </div>
    </div>

    <div class="dataTable userTable small marginBtm">
        <div class="dataRow header">
            <ul class="rowCont">
                <!-- <li class="personIcon">
                    Image
                </li> -->
                <li class="name">
                    <div class="disFlexCenter" appSortDirective [sortKey]="'assetId'" [data]="students">
                        <div class="">Asset Id</div>
                        <div class="icon sortIcon">
                            <img src="assets/images/sort.png" alt="">
                        </div>
                    </div>
                </li>
                <li class="email">
                    <div class="disFlexCenter" appSortDirective [sortKey]="'assetName'" [data]="students">
                        <div class="">Asset Name</div>
                        <div class="icon sortIcon">
                            <img src="assets/images/sort.png" alt="">
                        </div>
                    </div>
                </li>

                <li class="control"></li>
            </ul>
        </div>
        <div class="dataRow" *ngFor="let student of students | filter: filterText: 'name'">
            <ul class="rowCont">
                <!-- <li class="personIcon">
                    <div class="personImage icon">
                        <img src="assets/images/person.png" alt="">
                    </div>
                </li> -->
                <li class="name">{{student.assetId}}</li>
                <li class="email">{{student.assetName}}</li>
                <li class="email"><div class="btn thin addMoreAssetDetailsBtn">Add Details</div></li>
                <li class="email"><div class="btn thin">Edit</div></li>
                <li class="email"><div class="btn thin">Delete</div></li>
                <li class="email"><div class="btn thin">View</div></li>
                <!-- <li class="control">
                    
                        <div class="btn thin">Add</div>
                        <div class="btn redBack thin marginLeftSml">Delete</div>
                    
                </li> -->
            </ul>
        </div>
    </div>

    <ul class="pagination paddingTB borderTop">
        <li>1</li>
        <li>2</li>
        <li class="active">3</li>
        <li>4</li>
        <li>5</li>
    </ul>

</div>


<div class="popup addAssetPopup">
    <div class="x close"></div>
    <div class="popupContent small">
        <div class="borderBtm mainNormal marginBtm paddingBtm">Add New Asset</div>
        <ul class="form flow">
            <li>
                <div class="tag">Asset ID</div>
                <input type="text" [(ngModel)]="assetDetails.assetId">
            </li>
            <li>
                <div class="tag">Asset Name</div>
                <input type="text" [(ngModel)]="assetDetails.assetName">
            </li>
        </ul>
        <div class="">
            <div class="btn"  (click)="saveAssetDetails()">Save</div>
            <div class="btn cancel marginLeft close">Cancel</div>
        </div>
    </div>
</div>


<div class="popup addMoreAssetDetailsPopup">
        <div class="x close"></div>
        <div class="popupContent small">
            <div class="borderBtm mainNormal marginBtm paddingBtm close">Add New Asset</div>
            <div class="x close"></div>
           <!--start  -->
           <div class="paddingFull  paddingBtmMore">

                <div class="marginBtmSec">
                    <div class="paddingBtm borderBtm helveticaMed mainNormal marginBtm">Add More Asset Details</div>
                    <div class="disFlex alignStart ">
                        <div class="maxWid10">
                            <form #userForm="ngForm">
                                <ul class="form flow marginBtmSml">
                                    <li>
                                        <div class="tag">Transformer ID<span class="redColor normal">*</span></div>
                                        <input type="text"
                                               name="assetId"
                                               [(ngModel)]="assetDetails.assetId"
                                               #assetId="ngModel"
                                               required>
                                        <div class="error" *ngIf="!assetId.valid && assetId.touched">Please enter assetIds</div>
                                    </li>
                                    <li>
                                        <div class="tag">Manufacturer<span class="redColor normal">*</span></div>
                                        <input type="email"
                                               name="Manufacturer"
                                               [(ngModel)]="assetDetails.manufacturer"
                                               #Manufacturer="ngModel"
                                               required>
                                        <div class="error" *ngIf="!Manufacturer.valid && Manufacturer.touched">Please enter Manufacturer</div>
                                    </li>
                                    <li>
                                            <div class="tag">Specification<span class="redColor normal">*</span></div>
                                            <div class="dropDown">
                                                <div class="head" data-init="0">
                                                    <input class="headTitle"
                                                           placeholder="Select"
                                                           type="text"
                                                           name="Specification"
                                                           [(ngModel)]="assetDetails.specification"
                                                           #Specification="ngModel"
                                                           readonly
                                                           required>
                                                </div>
                                                <ul class="list">
                                                    <li (click)="assetDetails.specification= 'IEEE 55C'">IEEE 55C</li>
                                                    <li (click)="assetDetails.specification= 'IEEE 65C'">IEEE 65C</li>
                                                    <li (click)="assetDetails.specification= 'IEC'">IEC</li>
                                                    <li (click)="assetDetails.specification= 'Unknown'">Unknown</li>
                                                </ul>
                                            </div>
                                            <div class="error" *ngIf="!Specification.valid && Specification.touched">
                                                Please select Specification
                                            </div>
                                        </li>
                                        <li>
                                                <div class="tag">Duty<span class="redColor normal">*</span></div>
                                                <div class="dropDown">
                                                    <div class="head" data-init="0">
                                                        <input class="headTitle"
                                                               placeholder="Select"
                                                               type="text"
                                                               name="Duty"
                                                               [(ngModel)]="assetDetails.assetName"
                                                               #Duty="ngModel"
                                                               readonly
                                                               required>
                                                    </div>
                                                    <ul class="list">
                                                            <li *ngFor="let duty of dutyList"(click)="assetDetails.assetName= duty">{{duty}}</li>
                                                    </ul>
                                                </div>
                                                <div class="error" *ngIf="!Duty.valid && Duty.touched">
                                                    Please select Duty
                                                </div>
                                            </li>
                                      
                                    <li>
                                        <div class="tag">Serial No<span class="redColor normal">*</span></div>
                                        <input type="text"
                                               name="serialNo"
                                               [(ngModel)]="assetDetails.serialNo"
                                               #serialNo="ngModel"
                                               required>
                                        <div class="error" *ngIf="!serialNo.valid && serialNo.touched">
                                            Please enter Serial No
                                        </div>
                                    </li>
                                    <li>
                                        <div class="tag">Year of manufacturing<span class="redColor normal">*</span></div>
                                        <input type="number"
                                               name="YearOfManufacturing"
                                               [(ngModel)]="assetDetails.YearOfManufacturing"
                                               #YearOfManufacturing="ngModel"
                                               required>
                                        <div class="error" *ngIf="!YearOfManufacturing.valid && YearOfManufacturing.touched">Please enter Year of manufacturing</div>
                                    </li>
                                   
                                    <!-- <li>
                                        <div class="tag">Rating on top cooling mode<span class="redColor normal">*</span></div>
                                        <input type="number"
                                               name="age"
                                               [(ngModel)]="user.age"
                                               #age="ngModel"
                                               required>
                                        <div class="error" *ngIf="!age.valid && age.touched">Please enter age</div>
                                    </li>
                                    <li>
                                            <div class="tag">kV rating HV<span class="redColor normal">*</span></div>
                                            <input type="number"
                                                   name="age"
                                                   [(ngModel)]="user.age"
                                                   #age="ngModel"
                                                   required>
                                            <div class="error" *ngIf="!age.valid && age.touched">Please enter age</div>
                                        </li>
                                  
                                        <li>
                                                <div class="tag">Total Weight<span class="redColor normal">*</span></div>
                                                <input type="number"
                                                       name="age"
                                                       [(ngModel)]="user.age"
                                                       #age="ngModel"
                                                       required>
                                                <div class="error" *ngIf="!age.valid && age.touched">Please enter age</div>
                                            </li>
                                  
                                            <li>
                                                    <div class="tag">Cores/Winding Weight<span class="redColor normal">*</span></div>
                                                    <input type="number"
                                                           name="age"
                                                           [(ngModel)]="user.age"
                                                           #age="ngModel"
                                                           required>
                                                    <div class="error" *ngIf="!age.valid && age.touched">Please enter age</div>
                                                </li> -->
                                              
                                            <li>
                                                    <div class="tag">Oil Weight<span class="redColor normal">*</span></div>
                                                    <input type="number"
                                                           name="oilWeight"
                                                           [(ngModel)]="assetDetails.oilWeight"
                                                           #oilWeight="ngModel"
                                                           required>
                                                    <div class="error" *ngIf="!oilWeight.valid && oilWeight.touched">Please enter oilWeight</div>
                                                </li>
                                                
                                                <li>
                                                        <div class="tag">Type of paper<span class="redColor normal">*</span></div>
                                                        <div class="dropDown">
                                                            <div class="head" data-init="0">
                                                                <input class="headTitle"
                                                                       placeholder="Select"
                                                                       type="text"
                                                                       name="typeOfPaper"
                                                                       [(ngModel)]="assetDetails.typeOfPaper"
                                                                       #typeOfPaper="ngModel"
                                                                       readonly
                                                                       required>
                                                            </div>
                                                            <ul class="list">
                                                                <li (click)="assetDetails.typeOfPaper= 'St.Engineer'">IEEE 55 - Kraft</li>
                                                                <li (click)="assetDetails.typeOfPaper= 'Business'">IEEE 65C</li>
                                                                <li (click)="assetDetails.typeOfPaper= 'CA'">IEC</li>
                                                                <li (click)="assetDetails.typeOfPaper= 'CA'">Unknown</li>
                                                            </ul>
                                                        </div>
                                                        <div class="error" *ngIf="!typeOfPaper.valid && typeOfPaper.touched">
                                                            Please select Type of paper
                                                        </div>
                                                    </li>
                                                    <li>
                                                            <div class="tag">Oil Preservation sealed<span class="redColor normal">*</span></div>
                                                            <div class="dropDown">
                                                                <div class="head" data-init="0">
                                                                    <input class="headTitle"
                                                                           placeholder="Select"
                                                                           type="text"
                                                                           name="oilPreservationSealed"
                                                                           [(ngModel)]="assetDetails.oilPreservationSealed"
                                                                           #oilPreservationSealed="ngModel"
                                                                           readonly
                                                                           required>
                                                                </div>
                                                                <ul class="list">
                                                                    <li (click)="assetDetails.oilPreservationSealed= 'St.Engineer'">yes</li>
                                                                    <li (click)="assetDetails.oilPreservationSealed= 'Business'">No</li>
                                                                </ul>
                                                            </div>
                                                            <div class="error" *ngIf="!oilPreservationSealed.valid && oilPreservationSealed.touched">
                                                                Please select oilPreservationSealed
                                                            </div>
                                                        </li>
                                                
                                                        <li>
                                                                <div class="tag">Oil Type main tank<span class="redColor normal">*</span></div>
                                                                <div class="dropDown">
                                                                    <div class="head" data-init="0">
                                                                        <input class="headTitle"
                                                                               placeholder="Select"
                                                                               type="text"
                                                                               name="oilTypeMainTank"
                                                                               [(ngModel)]="assetDetails.oilTypeMainTank"
                                                                               #oilTypeMainTank="ngModel"
                                                                               readonly
                                                                               required>
                                                                    </div>
                                                                    <ul class="list">
                                                                        <li (click)="assetDetails.oilTypeMainTank= 'yes'">yes</li>
                                                                        <li (click)="assetDetails.oilTypeMainTank= 'no'">No</li>
                                                                    </ul>
                                                                </div>
                                                                <div class="error" *ngIf="!oilTypeMainTank.valid && oilTypeMainTank.touched">
                                                                    Please select oilTypeMainTank
                                                                </div>
                                                            </li>
                                                
                                                            <li>
                                                                    <div class="tag">Inhibited oil<span class="redColor normal">*</span></div>
                                                                    <div class="dropDown">
                                                                        <div class="head" data-init="0">
                                                                            <input class="headTitle"
                                                                                   placeholder="Select"
                                                                                   type="text"
                                                                                   name="inhibitedOil"
                                                                                   [(ngModel)]="assetDetails.inhibitedOil"
                                                                                   #inhibitedOil="ngModel"
                                                                                   readonly
                                                                                   required>
                                                                        </div>
                                                                        <ul class="list">
                                                                            <li (click)="assetDetails.inhibitedOil= 'yes'">yes</li>
                                                                            <li (click)="assetDetails.inhibitedOil= 'no'">No</li>
                                                                        </ul>
                                                                    </div>
                                                                    <div class="error" *ngIf="!inhibitedOil.valid && inhibitedOil.touched">
                                                                        Please select Specification
                                                                    </div>
                                                                </li>
                                  
                            
                                </ul>
                                <div class="">
                                    <div class="shortBtns">
                                        <button class="btn vSrtWid"
                                                [disabled]="
                                                !userForm['valid']"
                                                (click)="getFormData(userForm)">
                                            Submit
                                        </button>
                                        <div class="btn vSrtWid cancel marginLeft">Cancel</div>
                                    </div>
                                </div>
                            </form>
                        </div>
                        
                    </div>
                </div>
            
               
            </div>
            
<!-- stop -->
            <div class="">
                <div class="btn"  (click)="saveAssetDetails()">Save</div>
                <div class="btn cancel marginLeft close">Cancel</div>
            </div>
        </div>
    </div>


<div class="popup"></div>
